/*包含n个用于间接更新状态的方法的对象模块*/
import {
    SAVE_USER,
    RESET_USER,
    CLEAR_SCREEN,
    SPLIT_SCREEN,
    UPDATE_SIGNALPRELIST,
    SAVE_BIGSCREEN,
    SAVE_SIGNALLIST,
    SAVE_DEVICE,
    UPDATE_SCALE,
    UPDATE_POSITIONNUM,
    UPDATE_BIGSCREENOBJ
} from './mutation-types'

export default {

  // 保存用户
  saveUser ({commit}, user) {
    commit(SAVE_USER, {user})
  },

  // 重置用户
  resetUser ({commit}) {
    commit(RESET_USER)
  },

  // 清屏操作
  clearScreen({commit}) {
    commit(CLEAR_SCREEN)
  },

  // 分屏操作
  splitScreen({commit},number) {
    commit(SPLIT_SCREEN,{number})
  },

  // 更新大屏中的信号源列表
  updateSignalPreList({commit},signalPreList) {
    commit(UPDATE_SIGNALPRELIST,{signalPreList})
  },

  // 保存大屏数据
  saveBigscreen({commit},bigScreenJson) {
    commit(SAVE_BIGSCREEN,{bigScreenJson})
  },

  // 保存信号源数据
  saveSignalList({commit},signalListJson) {
    commit(SAVE_SIGNALLIST,{signalListJson})
  },

  // 保存设备数据
  saveDevice({commit},deviceJson) {
    commit(SAVE_DEVICE,{deviceJson})
  },

  // 更新元素缩放比例
  updateScale({commit},bigScale) {
    commit(UPDATE_SCALE,{bigScale})
  },


  // 更新信号源在第几个栅格中
  updatePositionNum({commit},positionNum) {
    commit(UPDATE_POSITIONNUM,{positionNum})
  },

  // 更新大屏对象
  updateBigscreenObj({commit},obj) {
    commit(UPDATE_BIGSCREENOBJ,{obj})
  },
}













